Get Deals Batch

Retrieve a batch of deals by ID, with optional filtering params.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

For schema of contact object refer - Deal Data Model

This API may not return all fields defined in the response schema; for additional details, use the Get Deal by Id API.

Supported Apps

Salesforce (salesforce)

Supported Request Fields:

  • dealIds - Required
  • createdAfter
  • createdBefore
  • updatedAfter
  • updatedBefore
  • stageId
  • accountId
  • contactId
  • ownerId
  • createdById
  • amountGreaterThan
  • amountLessThan
  • pageToken
  • originData

Supported Response Fields:

  • deals.info.id
  • deals.info.name
  • deals.info.description
  • deals.info.amount
  • deals.info.currency
  • deals.info.owner.id
  • deals.info.owner.email
  • deals.info.createdBy.id
  • deals.info.createdBy.email
  • deals.info.status
  • deals.info.createdAt
  • deals.info.lastActivityAt
  • deals.stage.stageId
  • deals.stage.stageName
  • deals.accounts
  • deals.contacts
  • deals.customFields
  • nextPageToken
Hubspot (hubspot)

Supported Request Fields:

  • dealIds - Required
  • createdAfter
  • createdBefore
  • updatedAfter
  • updatedBefore
  • stageId
  • pipelineId
  • accountId
  • contactId
  • ownerId
  • createdById
  • amountGreaterThan
  • amountLessThan
  • pageSize
  • pageToken
  • originData

Supported Response Fields:

  • deals.info.id
  • deals.info.name
  • deals.info.description
  • deals.info.amount
  • deals.info.currency
  • deals.info.owner.id
  • deals.info.owner.email
  • deals.info.createdBy.id
  • deals.info.createdBy.email
  • deals.info.status
  • deals.info.createdAt
  • deals.info.lastActivityAt
  • deals.stage.stageId
  • deals.stage.stageName
  • deals.stage.pipelineId
  • deals.stage.pipelineName
  • deals.accounts
  • deals.contacts
  • deals.customFields
  • nextPageToken
Zoho CRM (zoho-crm)

Supported Request Fields:

  • dealIds - Required
  • createdAfter
  • createdBefore
  • updatedAfter
  • updatedBefore
  • ownerId
  • createdById
  • accountId
  • contactId
  • stageId
  • amountGreaterThan
  • amountLessThan
  • pageToken
  • originData

Supported Response Fields:

  • deals.info.id
  • deals.info.name
  • deals.info.description
  • deals.info.amount
  • deals.info.owner.id
  • deals.info.owner.email
  • deals.info.createdBy.id
  • deals.info.createdBy.email
  • deals.info.status
  • deals.info.createdAt
  • deals.info.lastActivityAt
  • deals.stage.stageName
  • deals.accounts
  • nextPageToken
Microsoft Dynamics 365 Sales (msd-365-sales)

Supported Request Fields:

  • dealIds - Required
  • createdAfter
  • createdBefore
  • updatedAfter
  • updatedBefore
  • amountGreaterThan
  • amountLessThan
  • createdById
  • ownerId
  • accountId
  • contactId
  • status
  • pageToken
  • originData

Supported Response Fields:

  • deals.info.id
  • deals.info.name
  • deals.info.description
  • deals.info.amount
  • deals.info.currency
  • deals.info.owner.id
  • deals.info.owner.email
  • deals.info.createdBy.id
  • deals.info.createdBy.email
  • deals.info.status
  • deals.info.createdAt
  • deals.accounts
  • deals.contacts
  • nextPageToken
📘

To see the list of supported filters for an app, refer - CRM List Deals Filter Support Matrix

Note: To ensure optimal performance and reliability, we recommend limiting each request to a maximum of 100 IDs. Requests with a larger number of IDs may experience degraded performance or intermittent errors — if you need to fetch more, please split your list into batches of 100 or fewer.

Body Params
dealIds
array of strings
required
dealIds*
string
boolean
Defaults to false
date-time

Filters deals which were created after the specified datetime. The datetime must be provided in ISO 8601 UTC format (yyyy-MM-dd'T'HH:mm:ss'Z').

date-time

Filters deals which were created before the specified datetime. The datetime must be provided in ISO 8601 UTC format (yyyy-MM-dd'T'HH:mm:ss'Z').

date-time

Filters deals which were updated after the specified datetime. The datetime must be provided in ISO 8601 UTC format (yyyy-MM-dd'T'HH:mm:ss'Z').

date-time

Filters deals which were updated before the specified datetime. The datetime must be provided in ISO 8601 UTC format (yyyy-MM-dd'T'HH:mm:ss'Z').

stageId
array of strings

Filters deals by one or more stage ids. Supports multiple values as a list of string.

stageId
pipelineId
array of strings

Filters deals by one or more pipeline ids. Supports multiple values as a list of string.

pipelineId
status
array of strings

Filters deals by one or more status's. Supports multiple values as a list of string.

status
ownerId
array of strings

Filters deals by one or more owner ids. Supports multiple values as a list of string.

ownerId
createdById
array of strings

Filters deals by one or more creator ids. Supports multiple values as a list of string.

createdById
accountId
array of strings

Filters deals by one or more account ids. Supports multiple values as a list of string.

accountId
contactId
array of strings

Filters deals by one or more contact ids. Supports multiple values as a list of string.

contactId
number

Filter deals which have the amount greater than the specified value.

number

Filter deals which have the amount less than the specified value.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json